#define GmnBodySetForce
// GMNewton 1.00
//
//Function:  Sets the force to be applied to body next update
//Notes:   Given as a 3d vector, the force applied to each axis
//
//Arguments:
//   Argument0 - dBody
//   Argument1 - xForce
//   Argument2 - yForce
//   Argument3 - zForce
//call GmnBodySetForce(dBody,xForce,yForce,zForce);
//return: 
return external_call(global.__GmnBodySetForce__,argument0,argument1,argument2,argument3);

#define GmnBodyAddForce
// GMNewton 1.00
//
//Function:  Adds force to the accumulated amount to be applied to body next update
//Notes:
//
//Arguments:
//   Argument0 - dBody
//   Argument1 - xForce
//   Argument2 - yForce
//   Argument3 - zForce
//call GmnBodyAddForce(dBody,xForce,yForce,zForce);
//return: 
return external_call(global.__GmnBodyAddForce__,argument0,argument1,argument2,argument3);

#define GmnBodyGetForce
// GMNewton 1.00
//
//Function:  Gets the force to be applied to a body next update
//Notes:
//
//Arguments:
//   Argument0 - dBody
//   Argument1 - axis
//call GmnBodyGetForce(dBody,axis);
//return: 
return external_call(global.__GmnBodyGetForce__,argument0,argument1);

#define GmnBodySetVelocity
// GMNewton 1.00
//
//Function:  Sets the velocity of a body
//Notes:
//
//Arguments:
//   Argument0 - dBody
//   Argument1 - vx
//   Argument2 - vy
//   Argument3 - vz
//call GmnBodySetVelocity(dBody,vx,vy,vz);
//return: 
return external_call(global.__GmnBodySetVelocity__,argument0,argument1,argument2,argument3);

#define GmnBodySetVelocityAxis
// GMNewton 1.00
//
//Function:  Sets the velocity of an object modifying only the velocity on given axis
//Notes:
//
//Arguments:
//   Argument0 - dBody
//   Argument1 - vel
//   Argument2 - axis
//call GmnBodySetVelocityAxis(dBody,vel,axis);
//return: 
return external_call(global.__GmnBodySetVelocityAxis__,argument0,argument1,argument2);

#define GmnBodyGetVelocity
// GMNewton 1.00
//
//Function:  Retrieves velocity of body on given axis
//Notes:
//
//Arguments:
//   Argument0 - dBody
//   Argument1 - axis
//call GmnBodyGetVelocity(dBody,axis);
//return: 
return external_call(global.__GmnBodyGetVelocity__,argument0,argument1);

