#define GmnCreateCustomKinematicController
// GMNewton 1.00
//
//Function:  Creates a kinematic controller and ataches to body
//Notes:  Used to control objects directly by position and rotation while still influenced by physics
//
//Arguments:
//   Argument0 - dBody
//   Argument1 - xp
//   Argument2 - yp
//   Argument3 - zp
//call GmnCreateCustomKinematicController(dBody,xp,yp,zp);
//return: 
return external_call(global.__GmnCreateCustomKinematicController__,argument0,argument1,argument2,argument3);

#define GmnCustomKinematicControllerSetMaxAngularFriction
// GMNewton 1.00
//
//Function:  Sets the amount of force required to overcome rotational constraint of joint
//Notes:  "alpha" is the amount of force required to overpower joint
//
//Arguments:
//   Argument0 - dJoint
//   Argument1 - alpha
//call GmnCustomKinematicControllerSetMaxAngularFriction(dJoint,alpha);
//return: 
return external_call(global.__GmnCustomKinematicControllerSetMaxAngularFriction__,argument0,argument1);

#define GmnCustomKinematicControllerSetMaxLinearFriction
// GMNewton 1.00
//
//Function:  Sets the amount of force required to overcome position constraint of joint
//Notes:  "alpha" is strength of control, or amount of outside force required to overcome the control
//
//Arguments:
//   Argument0 - dJoint
//   Argument1 - alpha
//call GmnCustomKinematicControllerSetMaxLinearFriction(dJoint,alpha);
//return: 
return external_call(global.__GmnCustomKinematicControllerSetMaxLinearFriction__,argument0,argument1);

#define GmnCustomKinematicControllerSetPickMode
// GMNewton 1.00
//
//Function:  Toggles "pickmode" for kinematic joint
//Notes:
//
//Arguments:
//   Argument0 - dJoint
//   Argument1 - mode
//call GmnCustomKinematicControllerSetPickMode(dJoint,mode);
//return: 
return external_call(global.__GmnCustomKinematicControllerSetPickMode__,argument0,argument1);

#define GmnCustomKinematicControllerSetTargetPosit
// GMNewton 1.00
//
//Function:  Sets target position of kinematic joint
//Notes:
//
//Arguments:
//   Argument0 - dJoint
//   Argument1 - xp
//   Argument2 - yp
//   Argument3 - zp
//call GmnCustomKinematicControllerSetTargetPosit(dJoint,xp,yp,zp);
//return: 
return external_call(global.__GmnCustomKinematicControllerSetTargetPosit__,argument0,argument1,argument2,argument3);

#define GmnCustomKinematicControllerSetTargetRotation
// GMNewton 1.00
//
//Function:  Sets target rotation of kinematic joint.
//Notes:  I don't recall if this takes radians or degrees....  Experiment for now and will eventually take degrees for sure
//
//Arguments:
//   Argument0 - dJoint
//   Argument1 - xr
//   Argument2 - yr
//   Argument3 - zr
//call GmnCustomKinematicControllerSetTargetRotation(dJoint,xr,yr,zr);
//return: 
return external_call(global.__GmnCustomKinematicControllerSetTargetRotation__,argument0,argument1,argument2,argument3);

